import {MODULE,COMPONENT,MODULE_LIST,COMPONENT_LIST,COMPONENT_TAG_NAME,NAME, TYPE} from "./ui_const"

export function moduleExecution(entryModule:any,status=true){
    //entryModule.getData();
    entryModule[COMPONENT_LIST].forEach((c:any)=>{
        customElements.define(c.prototype[COMPONENT_TAG_NAME],c);
    })
    entryModule[MODULE_LIST].forEach((m)=>{
        moduleExecution(new m(),false);
    })
    if(status){
        var event = new CustomEvent("changeurlstate", {
            detail: {state:"",title:"",path:""}
        });
        window.dispatchEvent(event);
    }
    //console.log(entryModule[TYPE],entryModule[NAME]);
}